# LLVM: extract tool

### NAME

extract

### SYNOPSIS

extract [options] <filename> [filename ...]

### DESCRIPTION

The extract command takes the name of a function and extracts it from the specified LLVM bytecode file. It is primarily used as a debugging tool to reduce test cases from larger programs that are triggering a bug.

### OPTIONS

- -func <function>
  Extract function from the LLVM bytecode.

- -help
  Print a summary of command line options.

- -stats
  Print statistics.

- -time-passes
  Record the amount of time needed for each pass and print it to standard error.

### EXIT STATUS

If extract succeeds, it will exit with 0. Otherwise, if an error occurs, it will exit with a non-zero value.

### SEE ALSO

bugpoint

LLVM Team